using System;
using System.Collections.Generic;
using System.Linq;
using ThinkGeo.MapSuite.Core;

namespace DemoThinkGeoContrast
{
    public class AdjustableWmsLayerSource : WmsRasterLayer
    {
        public byte Contrast
        {
            get
            {
                return ((AdjustableWmsRasterSource)this.ImageSource).Contrast;
            }
            set
            {
                ((AdjustableWmsRasterSource)this.ImageSource).Contrast = value;
            }
        }

        public byte Brightness
        {
            get
            {
                return ((AdjustableWmsRasterSource)this.ImageSource).Brightness;
            }
            set
            {
                ((AdjustableWmsRasterSource)this.ImageSource).Brightness = value;
            }
        }

        public AdjustableWmsLayerSource()
        {
            this.ImageSource = new AdjustableWmsRasterSource();
        }
        public AdjustableWmsLayerSource(Uri uri)
            : base(uri)
        {
            this.ImageSource = new AdjustableWmsRasterSource(uri);
        }
        public AdjustableWmsLayerSource(Uri uri, System.Net.WebProxy proxy)
            : base(uri, proxy)
        {
            this.ImageSource = new AdjustableWmsRasterSource(uri, proxy);
        }

    }
}
